Spacelab with Bootstrap 3.x.x - anyone?

You made an own skin or theme for phpMyFAQ. You can share it here with others!

Moderator: Thorsten

Post Reply
pmfuser
Posts: 106
Joined: Tue Apr 01, 2014 7:00 am

Spacelab with Bootstrap 3.x.x - anyone?

Post by pmfuser »

Hi,

I wonder what does it take to upgrade Spacelab theme to the latest Bootstrap version 3.x.x?

Thanks
Thorsten
Posts: 15373
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Spacelab with Bootstrap 3.x.x - anyone?

Post by Thorsten »

Hi,

phpMyFAQ 2.9 will be using Bootstrap 3.3.1 :)

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist
pmfuser
Posts: 106
Joined: Tue Apr 01, 2014 7:00 am

Re: Spacelab with Bootstrap 3.x.x - anyone?

Post by pmfuser »

That's great, but the theme, as it is now, will stay 2.x. I guess the Bootstrap migration from 2.x to 3.x procedure should be followed in order to bring the theme up to 3.x.

Thanks
Thorsten
Posts: 15373
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Spacelab with Bootstrap 3.x.x - anyone?

Post by Thorsten »

Hi,

yes, that's the way to go.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist
pmfuser
Posts: 106
Joined: Tue Apr 01, 2014 7:00 am

Re: Spacelab with Bootstrap 3.x.x - anyone?

Post by pmfuser »

Would it have any negative impact onto core phpMyFAQ if I do this now, or it would be better to wait for 2.9?
Thorsten
Posts: 15373
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Spacelab with Bootstrap 3.x.x - anyone?

Post by Thorsten »

Hi,

no, should be possible without any bigger issues. The migration I made for 2.9 was quite fast, but I'm working on new layout for 2.9 as well. Things will change there.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist
pmfuser
Posts: 106
Joined: Tue Apr 01, 2014 7:00 am

Re: Spacelab with Bootstrap 3.x.x - anyone?

Post by pmfuser »

Thanks very much. Will wait.

Cheers!
pmfuser
Posts: 106
Joined: Tue Apr 01, 2014 7:00 am

Re: Spacelab with Bootstrap 3.x.x - anyone?

Post by pmfuser »

BTW, since Google lately has announced a lot about mobile, here is what should be though of, based on what is seen for "Usability errors" in WMT:

Content not sized to viewport
Touch elements too close
Viewport not configured
Small font size

Some are resolved by bootstrap itself I believe (if implemented as responsive), but still it is good idea to think about it.

Thanks
Post Reply